Trigger Agent Webhook
curl --request POST \
--url https://api.airtop.ai/api/hooks/agents/{agentId}/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"configVars": {
"slackChannel": "#general"
},
"callbackConfig": {
"url": "<string>",
"headers": {}
}
}
'import requests
url = "https://api.airtop.ai/api/hooks/agents/{agentId}/webhooks/{webhookId}"
payload = {
"configVars": { "slackChannel": "#general" },
"callbackConfig": {
"url": "<string>",
"headers": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
configVars: {slackChannel: '#general'},
callbackConfig: {url: '<string>', headers: {}}
})
};
fetch('https://api.airtop.ai/api/hooks/agents/{agentId}/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invocationId": "<string>"
}API Reference
Trigger Agent Webhook
Triggers an agent execution via webhook. You can optionally provide configuration variables and a callback URL.
POST
/
api
/
hooks
/
agents
/
{agentId}
/
webhooks
/
{webhookId}
Trigger Agent Webhook
Authorizations
Enter your API Key. You can generate one at https://portal.airtop.ai/api-keys.
Path Parameters
The unique identifier of the agent
The unique identifier of the webhook
Body
application/json
Response
200 - application/json
Agent triggered successfully
Unique identifier for the agent invocation
Was this page helpful?
⌘I